%define pname translate
%define oname %{pname}-toolkit
%define name python-%{pname}
%define version 1.0.1
%define release %mkrel 5

Summary: Software localization toolkit
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/translate/%{oname}-%{version}.tar.bz2
License: GPLv2+
Group: Development/Python
Url: http://translate.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
%py_requires -d

%description
The Translate Toolkit is a set of software and documentation designed
to help make the lives of localizers both more productive and less
frustrating.  The Toolkit is part of the translate.sourceforge.net
project, hosted at http://translate.sourceforge.net/

The software includes programs to covert localization formats to the
common PO format and programs to check and manage PO files.  The
documentation includes guides on using the tools, running a
localization project and how to localize various projects from
OpenOffice.org to Mozilla.

At its core the software contains a set of classes for handling
various localization storage formats: DTD, properties, OpenOffice.org
GSI/SDF, CSV and of course PO.  And scripts to convert between these
formats.

Also part of the Toolkit are Python programs to create word counts,
merge translations and perform various checks on PO files.

%prep
%setup -q -n %{oname}-%{version}

%build
./setup.py build

%install
rm -rf %{buildroot}
./setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{pname}/README
%{_bindir}/*
%{py_puresitedir}/%{pname}
%{py_puresitedir}/*.egg-info





%changelog
* Mon Oct 20 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-5mdv2008.1
+ Revision: 295682
- should use --root rather than --prefix

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-4mdv2009.0
+ Revision: 259837
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-3mdv2009.0
+ Revision: 247701
- rebuild

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 154232
- 1.0.1

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.10.1-1mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Olivier Blin <oblin@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 107921
- buildrequires python-devel
- initial python-translate release
- Create python-translate

